Update a webhook
put
Authorizations
defguard_sessionstringRequired
Path parameters
idinteger · int64Required
ID of the webhook.
Body
descriptionstringRequired
enabledbooleanRequired
on_hwkey_provisionbooleanRequired
on_user_createdbooleanRequired
on_user_deletedbooleanRequired
on_user_modifiedbooleanRequired
tokenstringRequired
urlstringRequired
Responses
200
Webhook updated.
No content
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
404
Webhook not found.
500
Unable to update webhook.
application/json
put/api/v1/webhook/{id}
PUT /api/v1/webhook/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 161
{
"description": "text",
"enabled": true,
"on_hwkey_provision": true,
"on_user_created": true,
"on_user_deleted": true,
"on_user_modified": true,
"token": "text",
"url": "text"
}No content
Last updated
Was this helpful?